/*
 * segatex SELinux tool.
 *
 * Copyright (C) 2007 Shintaro Fujiwara 
 * shintaro.fujiwara@gmai.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * */

#include <qlayout.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <qtextedit.h>
#include <qprocess.h>

#include "segatex_yum.h"
#include "segatex_yum_process.h"

//#include <iostream>
//using namespace std;

//default constructor
SegatexYum::SegatexYum(QWidget *parent, const char *name): QDialog(parent, name)
{
	setCaption(tr("Yum SELinux"));
	targetedCheckBox = new QCheckBox(tr("policy-targeted"), this);
	strictCheckBox = new QCheckBox(tr("policy-strict"), this);
	mlsCheckBox = new QCheckBox(tr("policy-mls"), this);
	targetedCheckBox->setChecked(true);
	strictCheckBox->setChecked(true);
	mlsCheckBox->setChecked(true);
	yumButton = new QPushButton(tr("&Install/Update"), this);
	closeButton = new QPushButton(tr("&Close"), this);
	yumButton->setDefault(true);

	connect(yumButton, SIGNAL(clicked()), this, SLOT(yum_clicked()));
	connect(closeButton, SIGNAL(clicked()), this, SLOT(close()));

	QVBoxLayout *leftLayout = new QVBoxLayout;
	leftLayout->addWidget(targetedCheckBox);
	leftLayout->addWidget(strictCheckBox);
	leftLayout->addWidget(mlsCheckBox);

	QVBoxLayout *rightLayout = new QVBoxLayout;
	rightLayout->addWidget(yumButton);
	rightLayout->addWidget(closeButton);
	rightLayout->addStretch(1);

	QHBoxLayout *mainLayout = new QHBoxLayout(this);
	mainLayout->setMargin(11);
	mainLayout->setSpacing(6);
	mainLayout->addLayout(leftLayout);
	mainLayout->addLayout(rightLayout);
	//needs here to be declared
	selinux_yum_process = 0;
}
/*emits signals when yum button is clicked*/
void SegatexYum::yum_clicked()
{
	if(!selinux_yum_process) {
		selinux_yum_process = new SegatexYumProcess(this);
	}
	selinux_yum_process->show();
	selinux_yum_process->raise();
	selinux_yum_process->setActiveWindow();
}
